Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics

# Class CircuitBreakerTelemetryTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.CircuitBreakerTelemetryTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class CircuitBreakerTelemetryTest extends org.jboss.arquillian.testng.Arquillian

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`CircuitBreakerTelemetryTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`closeTheCircuit()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`testCircuitBreakerMetric()`
`void`
`testMetricUnits()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBreakerTelemetryTest

public CircuitBreakerTelemetryTest()

## Method Details

### deploy

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### closeTheCircuit

@BeforeMethod public void closeTheCircuit() throws Exception

Throws:
  `Exception`

### testCircuitBreakerMetric

public void testCircuitBreakerMetric() throws Exception

Throws:
  `Exception`

### testMetricUnits

public void testMetricUnits() throws InterruptedException, ExecutionException

Throws:
  `InterruptedException`
  `ExecutionException`